Get member by filter
curl -s -G "$DILLER_BASE/api/v2.0/stores/$STORE_ID/members/search" \ --data-urlencode "phone=+4799900001" \ -H "Authorization: Bearer $TOKEN"
# Exactly one of phone, email, identifierValue or activationToken.# A member who does not exist is 200 with [], not 404.const url = new URL(`${base}/api/v2.0/stores/${storeId}/members/search`);url.searchParams.set('phone', '+4799900001');
const res = await fetch(url, { headers: { Authorization: `Bearer ${token}` },});
const [member] = await res.json();if (!member) { // No member with that phone. Search returns an empty array, not a 404.}Searches members by email, phone number, activation token or any other identifier (country dependant - eg. SSN, licence plate, National ID)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The member’s store id
Example
your-store-idQuery Parameters
Section titled “Query Parameters”Email Address of the member
Example
ola.nordmann@example.comThe phone number can be entered in international format, starting with either “00” or “+”. If the phone number is entered in national format, it will be assumed that the number belongs to the same country as the store
Example
+4799900001The extra identifier of a member defined at the store level.
Example
42The token value for when a member signed up via POS or any other source, that requires an activation step.
Example
996405d26e29The card identifier linked to the member
Example
your-card-identifierResponses
Section titled “Responses”OK
object
DEPRECATED: Start using the ‘Identifiers’ endpoints instead
object
object
object
The alpha-2 code of country
object
True if the member has accepted the GDPR. False otherwise.
True if member has authorized to save order history e.g. transaction details about their purchases.
True if the member has authorized the sending of promotional SMS. False otherwise.
True if the member has authorized the sending of promotional Emails. False otherwise.
object
object
Use value when segment type is Date or Text
Use SelectedOptions when segment type is Radio, Combobox or Dropbox
Example
[ { "birth_date": "2026-09-11T12:34:49", "gender": "Male", "membership_detail": { "level_expire_date": "2026-09-11T12:34:49" }, "segments": [ { "type": "Text" } ] }]Bad Request
object
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}